import { PlantingPosition } from '../aggregates/planting-position.aggregate';

export interface IPlantingPositionRepository {
  save(position: PlantingPosition): Promise<void>;
  findById(positionId: bigint): Promise<PlantingPosition | null>;
  findByUserId(userId: bigint): Promise<PlantingPosition | null>;
  getOrCreate(userId: bigint): Promise<PlantingPosition>;
}

export const PLANTING_POSITION_REPOSITORY = Symbol(
  'IPlantingPositionRepository',
);
